#--
#
#################################################################################
# Copyright 2011 CENATIC y IEPALA
#
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas por la Comisión Europea– 
# versiones posteriores de la EUPL (la «Licencia»);
# Solo podrá usarse esta obra si se respeta la Licencia.
# Puede obtenerse una copia de la Licencia en:
#
# http://www.osor.eu/eupl/european-union-public-licence-eupl-v.1.1
#
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye «TAL CUAL»,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones que establece la Licencia.
#################################################################################
#
#++
# Filters added to this controller apply to all controllers in the application.
# Likewise, all the methods added will be available for all controllers.

class ApplicationController < ActionController::Base
  helper :layout, :nueva_edicion
  before_filter :objeto_seccion, :tiempo_comienzo, :autorizar, :except => [:entrada, :identificacion]


  # helper :all # include all helpers, all the time
  protect_from_forgery # See ActionController::RequestForgeryProtection for details
  layout "layout", :except => ["entrada"] #Siempre incluimos el mismo layout general menos en identificacion
  init_gettext "gor"
  uses_tiny_mce :options => {
                              :theme => 'advanced',
                              :theme_advanced_buttons1 => " bold, italic, underline, formatselect,  fontselect, fontsizeselect,  justifyleft, justifycenter, justifyright, justifyfull, separator, bullist, numlist, separator, outdent, indent, hr, separator, table, separator, cut, copy, pasteword, undo, redo, cleanup",
	                            :theme_advanced_buttons2 => "",
	                            :theme_advanced_buttons3 => "",
                              :width => "100%",
                              :plugins => %w{ paste, table },
                              :language => "es"
                            }

  # Metodo general para representar al final del layout cuando se esta en modo development el tiempo total de una peticion.
  def tiempo_comienzo     
    @tiempo_comienzo = Time.now
  end

  # Scrub sensitive parameters from your log
  # filter_parameter_logging :password

  # Este metodo general esta aqui para que los controladores puedan crear objetos fechas desde parametros del date_select
  # FIXME: Parece algo tonto pero no consigo resolverlo de otra forma
  def fecha parametros
     return Date.new parametros["(1i)"].to_i, parametros["(2i)"].to_i, parametros["(3i)"].to_i
  end

  # Se comprueba si el acceso tiene un usuario identificado, y se comprueba tambien que el usuario tiene permisos para acceder la seccion en la que se esta navegando.
  def autorizar
    unless session[:usuario_identificado].class.name == "Usuario" 
      flash[:mensaje] = "Debe identificarse para acceder al sistema."
      redirect_to  :seccion => :administracion, :controller => :usuario, :action => :entrada
      return false
    end
    
     unless params[:seccion] == "inicio" or params[:seccion] == "info" or ( session[:usuario_identificado] and session[:usuario_identificado].send( params[:seccion] ) == true )
       flash[:mensaje] = _( "no tiene los derechos para ir a la sección " ) + params[:seccion]
       redirect_to :seccion => :inicio, :controller => :tarea
       return false
     end
  end

  def singularizar_seccion
    params[:seccion].gsub(/(.*)(s)/) {$1.gsub(/one/, "on")}
  end
 
  # Este metodo devuelve la entidad dentro de la seccion con la que estamos trabajando. 
  # En el caso de la seccion proyectos pone en @proyecto el proyecto con el que estamos trabajando
  # En el caso de la seccion agentes pone en @agente el agente con el que estamos trabajando
  def objeto_seccion
    case params[:seccion]
    when "proyectos" then
      @proyecto = Proyecto.find(params[:proyecto_id]) if params[:proyecto_id]
      @permitir_configuracion = @proyecto && ( @proyecto.definicion_estado.nil? || !@proyecto.definicion_estado.cerrado ) && params[:menu] == "configuracion"
      @permitir_formulacion = @proyecto && @proyecto.definicion_estado && @proyecto.definicion_estado.formulacion && params[:menu] == "formulacion"
      @permitir_ejecucion = @proyecto && @proyecto.definicion_estado && @proyecto.definicion_estado.aprobado && params[:menu] == "ejecucion"
    when "agentes"
      then @agente = Agente.find(params[:agente_id]) if params[:agente_id] 
    end
  end

  # Para usar en exportaciones a XLS
  def xls_filename
    params[:seccion]+"-" + params[:controller] + "-" + params[:action] + ".xls"
  end


end
