#--
#
#################################################################################
# Copyright 2011 CENATIC y IEPALA
#
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas por la Comisión Europea– 
# versiones posteriores de la EUPL (la «Licencia»);
# Solo podrá usarse esta obra si se respeta la Licencia.
# Puede obtenerse una copia de la Licencia en:
#
# http://www.osor.eu/eupl/european-union-public-licence-eupl-v.1.1
#
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye «TAL CUAL»,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones que establece la Licencia.
#################################################################################
#
#++
# GastoXAgente : recoge la relacion entre gasto y agente financiador con porcentaje.
class GastoXAgente < ActiveRecord::Base

  untranslate_all
  belongs_to :gasto
  belongs_to :agente

  validates_presence_of :agente_id, :message => _("Financiador") + _(" no puede estar vacío. ")
  validates_uniqueness_of :agente_id, :scope => [:gasto_id, :proyecto_id], :message => _("Financiador") + _(" repetido. ")
  validates_numericality_of :importe, :greater_than => 0, :message => _("Importe para el financiador") + _(" no puede estar vacío. ")
end
