#--
#
#################################################################################
# Copyright 2011 CENATIC y IEPALA
#
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas por la Comisión Europea– 
# versiones posteriores de la EUPL (la «Licencia»);
# Solo podrá usarse esta obra si se respeta la Licencia.
# Puede obtenerse una copia de la Licencia en:
#
# http://www.osor.eu/eupl/european-union-public-licence-eupl-v.1.1
#
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye «TAL CUAL»,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones que establece la Licencia.
#################################################################################
#
#++
class Pais < ActiveRecord::Base
  validates_presence_of :nombre, :message => _("Nombre") + _(" no puede estar vacío.")
  validates_uniqueness_of :nombre, :message => _("Nombre") +   _(" repetido.")
  has_many :proyecto_x_pais, :dependent => :destroy
  has_many :proyecto, :through => :proyecto_x_pais
  has_many :agente
  has_many :libro
  has_many :provincia
  has_many :actividad_x_pais, :dependent => :destroy
  has_many :actividad, :through => :actividad_x_pais
  has_many :moneda_x_pais, :dependent => :destroy
  has_many :moneda, :through => :moneda_x_pais
  
  belongs_to :area_geografica
  before_destroy :verificar_borrado

  def verificar_borrado
    errors.add( "proyecto",_("hay proyectos")) unless self.proyecto.empty?
    errors.add( "libro", _("hay libros")) unless self.libro.empty?
    errors.add_to_base( _("Un pais tiene que estar vacio para poder ser borrado.") ) unless errors.empty?
    return false unless errors.empty?
 end
end
