#--
#
#################################################################################
# Copyright 2011 CENATIC y IEPALA
#
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas por la Comisión Europea– 
# versiones posteriores de la EUPL (la «Licencia»);
# Solo podrá usarse esta obra si se respeta la Licencia.
# Puede obtenerse una copia de la Licencia en:
#
# http://www.osor.eu/eupl/european-union-public-licence-eupl-v.1.1
#
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye «TAL CUAL»,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones que establece la Licencia.
#################################################################################
#
#++
class Subpartida < ActiveRecord::Base
  has_many :presupuesto
  has_many :gasto
  validate :subpartida_mayusculas
  before_save :genera_numero_de_orden
  
  def subpartida_mayusculas
    self.nombre = self.nombre.upcase
  end

  private
    # Genera un numero de orden de la subpartida
    def genera_numero_de_orden
      # Generamos el numero de orden solo si no lo tiene y esta asignado a un proyecto
      self.numero = (Subpartida.maximum(:numero, :group => :proyecto_id)[proyecto_id]||0) + 1 if self.numero.nil? && !self.proyecto_id.nil?
    end
end
