class CreateGong < ActiveRecord::Migration
  
 create_table "actividad", :force => true do |t|
    t.string   "codigo"
    t.text     "descripcion"
    t.text     "recursos"
    t.text     "costes"
    t.date     "fecha_inicio"
    t.date     "fecha_fin"
    t.integer  "proyecto_id"
    t.integer  "resultado_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "agente", :force => true do |t|
    t.string  "nombre"
    t.string  "nombre_completo"
    t.boolean "financiador"
    t.boolean "implementador"
  end

  create_table "area_actuacion", :force => true do |t|
    t.string "nombre"
    t.text   "descripcion"
  end

  create_table "comentario", :force => true do |t|
    t.integer  "tarea_id"
    t.integer  "documento_id"
    t.integer  "usuario_id"
    t.text     "texto"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "comunidad", :force => true do |t|
    t.string   "nombre"
    t.integer  "provincia_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "datos_proyecto", :force => true do |t|
    t.integer "proyecto_id"
    t.text    "codigo_de_la_organizacion"
    t.text    "codigo_del_financiador"
    t.text    "breve_descripcion"
    t.text    "descripcion_extensa"
    t.text    "analisis_razonado_de_la_accion"
    t.text    "contenidos_e_ideas_que_difunde_el_proyecto"
    t.text    "adecuacion_a_los_principios_horizontales"
    t.text    "descripcion_de_la_metodologia"
    t.text    "plan_de_difusion"
    t.text    "materiales_y_soportes"
    t.integer "beneficiarios_directos_hombres"
    t.integer "beneficiarios_directos_mujeres"
    t.integer "beneficiarios_indirectos_hombres"
    t.integer "beneficiarios_indirectos_mujeres"
    t.integer "beneficiarios_directos_sin_especificar"
    t.integer "beneficiarios_indirectos_sin_especificar"
    t.integer "poblacion_total_de_la_zona"
    t.text    "descripcion_poblacion_beneficiaria"
    t.text    "ubicacion_detallada_de_la_zona_de_proyecto"
    t.text    "principales_problemas_comunes_detectados"
    t.text    "principales_problemas_especificos_detectados"
    t.text    "experiencia_de_la_ong_y_contrapartes"
    t.text    "normativa_relativa_a_ongd_de_obligado_cumplimiento"
    t.text    "grado_de_participacion_de_beneficiarios_directos"
    t.text    "complementariedad_y_sinergia"
    t.text    "organismos_publicos_o_privados_implicados"
    t.text    "socios_locales"
    t.text    "poblacion_beneficiaria"
    t.text    "acuerdos_y_compromisos_firmados"
    t.text    "objetivos_que_se_abordan"
    t.text    "justificacion_de_la_estrategia_de_intervencion"
    t.text    "objetivo_de_desarrollo_resumen_descriptivo"
    t.text    "objetivo_de_desarrollo_factores_de_riesgo_e_hipotesis_personal"
    t.text    "factores_de_desarrollo_politicas_de_apoyo"
    t.text    "factores_de_desarrollo_aspectos_institucionales"
    t.text    "factores_de_desarrollo_aspectos_socioculturales"
    t.text    "factores_de_desarrollo_enfoque_de_genero"
    t.text    "factores_de_desarrollo_factores_medioambientales"
    t.text    "factores_de_desarrollo_factores_economico_financieros"
    t.text    "sostenibilidad_de_la_intervencion"
  end

  create_table "definicion_estado", :force => true do |t|
    t.string   "nombre"
    t.text     "descripcion"
    t.integer  "estado_padre_id"
    t.string   "tipo"
    t.boolean  "datos_proyecto"
    t.boolean  "estado"
    t.boolean  "tarea"
    t.boolean  "documento"
    t.boolean  "matriz"
    t.boolean  "presupuesto"
    t.boolean  "gasto_proyectos"
    t.boolean  "transferencia"
    t.boolean  "ingreso"
    t.boolean  "vista"
    t.boolean  "exportacion"
    t.boolean  "importacion"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.boolean  "primer_estado"
    t.boolean  "tasa_cambio"
    t.boolean  "partida_financiacion"
    t.boolean  "datos_financiacion"
    t.boolean  "presupuesto_proyectos"
    t.boolean  "gasto_agentes"
    t.boolean  "resumen_proyecto"
    t.boolean  "socio"
  end

  create_table "documento", :force => true do |t|
    t.string   "adjunto_file_name"
    t.string   "adjunto_content_type"
    t.integer  "adjunto_file_size"
    t.integer  "proyecto_id"
    t.integer  "financiacion_id"
    t.text     "descripcion"
    t.string   "tipo"
    t.string   "estado"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "estado", :force => true do |t|
    t.integer  "definicion_estado_id"
    t.integer  "proyecto_id"
    t.integer  "financiacion_id"
    t.date     "fecha_inicio"
    t.date     "fecha_fin"
    t.text     "observacion"
    t.integer  "usuario_id"
    t.boolean  "estado_actual"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "etapa", :force => true do |t|
    t.string  "nombre"
    t.date    "fecha_inicio"
    t.date    "fecha_fin"
    t.string  "descripcion"
    t.integer "proyecto_id"
    t.integer "financiacion_id"
    t.integer "agente_id"
  end

  create_table "financiacion", :force => true do |t|
    t.string  "nombre"
    t.text    "titulo"
    t.integer "financiador_id"
    t.integer "solicitante_id"
    t.integer "moneda_id"
  end

  create_table "forma_pago_socio", :force => true do |t|
    t.string "forma_pago"
  end

  create_table "fuente_verificacion", :force => true do |t|
    t.string   "codigo"
    t.text     "descripcion"
    t.integer  "indicador_id"
    t.integer  "objetivo_especifico_id"
    t.integer  "resultado_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "gasto", :force => true do |t|
    t.decimal "importe",        :precision => 24, :scale => 2, :default => 0.0
    t.decimal "impuestos",      :precision => 24, :scale => 2, :default => 0.0
    t.integer "presupuesto_id"
    t.integer "partida_id"
    t.integer "moneda_id"
    t.integer "libro_id"
    t.string  "observaciones"
    t.string  "numero_factura"
    t.string  "emisor_factura"
    t.date    "fecha"
    t.string  "concepto"
  end

  create_table "gasto_identificacion", :force => true do |t|
    t.integer "gasto_id"
    t.date    "fecha_gasto"
    t.integer "proyecto_id"
    t.integer "financiacion_id"
    t.string  "identificacion"
  end

  create_table "gasto_x_actividad", :force => true do |t|
    t.integer "gasto_id"
    t.integer "actividad_id"
    t.decimal "porcentaje",   :precision => 5, :scale => 4
    t.integer "proyecto_id"
  end

  create_table "gasto_x_agente", :force => true do |t|
    t.integer "agente_id"
    t.integer "gasto_id"
    t.decimal "porcentaje",  :precision => 5, :scale => 4, :default => 0.0
    t.integer "proyecto_id"
  end

  create_table "gasto_x_proyecto", :force => true do |t|
    t.integer "proyecto_id"
    t.integer "gasto_id"
    t.decimal "porcentaje",  :precision => 5, :scale => 4
  end

  create_table "indicador", :force => true do |t|
    t.string   "codigo"
    t.text     "descripcion"
    t.decimal  "porcentaje",             :precision => 5, :scale => 4, :default => 0.0
    t.integer  "objetivo_especifico_id"
    t.integer  "resultado_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "informacion_socio", :force => true do |t|
    t.integer "socio_id"
    t.date    "fecha_alta"
    t.date    "fecha_baja"
    t.date    "fecha_alta_sistema"
    t.decimal "importe_cuota",             :precision => 24, :scale => 2, :default => 0.0
    t.string  "calendario_pagos"
    t.text    "motivo_baja"
    t.boolean "enviar_periodica"
    t.boolean "enviar_puntual"
    t.boolean "enviar_182"
    t.date    "fecha_carta_bienvenida"
    t.date    "fecha_envio_documentacion"
    t.date    "fecha_envio_carne"
    t.integer "origen_socio_id",                                          :default => 1
    t.text    "comentario_origen_socio"
    t.integer "forma_pago_socio_id",                                      :default => 1
    t.boolean "activo"
    t.integer "tipo_cuota_socio_id",                                      :default => 1
  end

  create_table "ingreso", :force => true do |t|
    t.decimal "importe",       :precision => 24, :scale => 2, :default => 0.0
    t.integer "proyecto_id"
    t.integer "libro_id"
    t.integer "moneda_id"
    t.integer "agente_id"
    t.string  "tipo"
    t.string  "observaciones"
    t.date    "fecha"
  end

  create_table "libro", :force => true do |t|
    t.string  "nombre"
    t.integer "moneda_id"
    t.integer "agente_id"
    t.string  "cuenta"
    t.string  "descripcion"
    t.string  "tipo"
    t.integer "pais_id"
  end

  create_table "libro_x_proyecto", :force => true do |t|
    t.integer "libro_id"
    t.integer "proyecto_id"
  end

  create_table "moneda", :force => true do |t|
    t.string "nombre"
    t.string "abreviatura"
  end

  create_table "municipio", :force => true do |t|
    t.string   "nombre"
    t.integer  "comunidad_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "naturaleza_socio", :force => true do |t|
    t.string "naturaleza"
  end

  create_table "objetivo_especifico", :force => true do |t|
    t.string   "codigo"
    t.text     "descripcion"
    t.text     "hipotesis"
    t.integer  "proyecto_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "origen_socio", :force => true do |t|
    t.string "origen"
  end

  create_table "pago_socio", :force => true do |t|
    t.string  "concepto"
    t.date    "fecha_emision"
    t.date    "fecha_pago"
    t.decimal "importe",            :precision => 24, :scale => 2, :default => 0.0
    t.boolean "especie"
    t.text    "comentario"
    t.date    "fecha_alta_sistema"
    t.integer "socio_id"
  end

  create_table "pais", :force => true do |t|
    t.string "nombre"
  end

  create_table "partida", :force => true do |t|
    t.string  "nombre"
    t.string  "codigo"
    t.string  "descripcion"
    t.integer "orden"
    t.string  "tipo"
  end

  create_table "partida_financiacion", :force => true do |t|
    t.string  "nombre"
    t.string  "codigo"
    t.string  "descripcion"
    t.integer "orden"
    t.integer "financiacion_id"
    t.string  "tipo"
    t.boolean "puede_ser_padre"
    t.integer "partida_financiacion_id"
    t.boolean "padre"
  end

  create_table "partida_financiacion_x_partida_financiacion", :force => true do |t|
    t.integer "partida_padre_id"
    t.integer "partida_hijo_id"
  end

  create_table "partida_x_partida_financiacion", :id => false, :force => true do |t|
    t.integer "partida_financiacion_id"
    t.integer "partida_id"
  end

  create_table "presupuesto", :force => true do |t|
    t.decimal "importe",         :precision => 24, :scale => 2, :default => 0.0
    t.string  "subpartida"
    t.string  "observaciones"
    t.integer "partida_id"
    t.integer "moneda_id"
    t.integer "agente_id"
    t.date    "fecha_inicio"
    t.date    "fecha_fin"
    t.integer "libro_id"
    t.decimal "coste_unitario",  :precision => 24, :scale => 2, :default => 0.0
    t.string  "unidades"
    t.integer "numero_unidades"
  end

  create_table "presupuesto_detallado", :force => true do |t|
    t.integer "presupuesto_id"
    t.decimal "importe",        :precision => 24, :scale => 2
    t.date    "fecha_inicio"
    t.date    "fecha_fin"
    t.string  "nombre"
    t.integer "mes"
  end

  create_table "presupuesto_x_actividad", :force => true do |t|
    t.integer "presupuesto_id"
    t.integer "actividad_id"
    t.decimal "porcentaje",     :precision => 5, :scale => 4
    t.integer "proyecto_id"
  end

  create_table "presupuesto_x_agente", :force => true do |t|
    t.integer "agente_id"
    t.integer "presupuesto_id"
    t.decimal "porcentaje",     :precision => 5, :scale => 4, :default => 0.0
    t.integer "proyecto_id"
  end

  create_table "presupuesto_x_proyecto", :force => true do |t|
    t.integer "proyecto_id"
    t.integer "presupuesto_id"
    t.decimal "porcentaje",     :precision => 5, :scale => 4
  end

  create_table "provincia", :force => true do |t|
    t.string   "nombre"
    t.integer  "pais_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "proyecto", :force => true do |t|
    t.string  "nombre"
    t.text    "titulo"
    t.integer "pais_id"
  end

  create_table "proyecto_x_area_actuacion", :id => false, :force => true do |t|
    t.integer  "proyecto_id"
    t.integer  "area_actuacion_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "proyecto_x_financiacion", :force => true do |t|
    t.integer  "proyecto_id"
    t.integer  "financiacion_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string   "nombre_en_financiacion"
    t.string   "titulo_en_financiacion"
  end

  create_table "proyecto_x_financiador", :id => false, :force => true do |t|
    t.integer "agente_id"
    t.integer "proyecto_id"
  end

  create_table "proyecto_x_implementador", :id => false, :force => true do |t|
    t.integer "agente_id"
    t.integer "proyecto_id"
  end

  create_table "proyecto_x_moneda", :id => false, :force => true do |t|
    t.integer  "proyecto_id"
    t.integer  "moneda_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "proyecto_x_sector_intervencion", :id => false, :force => true do |t|
    t.integer  "proyecto_id"
    t.integer  "sector_intervencion_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "proyecto_x_sector_poblacion", :id => false, :force => true do |t|
    t.integer  "proyecto_id"
    t.integer  "sector_poblacion_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "resultado", :force => true do |t|
    t.string   "codigo"
    t.text     "descripcion"
    t.text     "hipotesis"
    t.integer  "proyecto_id"
    t.integer  "objetivo_especifico_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "sector_intervencion", :force => true do |t|
    t.string "nombre"
    t.text   "descripcion"
  end

  create_table "sector_poblacion", :force => true do |t|
    t.string "nombre"
    t.text   "descripcion"
  end

  create_table "sessions", :force => true do |t|
    t.string   "session_id", :null => false
    t.text     "data"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  add_index "sessions", ["session_id"], :name => "index_sessions_on_session_id"
  add_index "sessions", ["updated_at"], :name => "index_sessions_on_updated_at"

  create_table "socio", :force => true do |t|
    t.string  "nombre"
    t.string  "apellido1"
    t.string  "apellido2"
    t.string  "tratamiento"
    t.string  "NIF"
    t.string  "NIF_representante"
    t.string  "sexo"
    t.date    "fecha_nacimiento"
    t.string  "direccion"
    t.string  "localidad"
    t.string  "codigo_postal"
    t.string  "provincia",               :default => ""
    t.string  "comunidad"
    t.string  "municipio"
    t.string  "codigo_provincia_fiscal"
    t.string  "pais"
    t.string  "email"
    t.string  "telefono_fijo"
    t.string  "telefono_movil"
    t.text    "comentarios"
    t.integer "naturaleza_socio_id",     :default => 1
  end

  create_table "tarea", :force => true do |t|
    t.string   "titulo"
    t.text     "descripcion"
    t.integer  "tipo_tarea_id"
    t.integer  "proyecto_id"
    t.integer  "usuario_id"
    t.integer  "usuario_asignado_id"
    t.date     "fecha_inicio"
    t.date     "fecha_fin"
    t.integer  "porcentage_implementacion"
    t.string   "estado"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "tasa_cambio_gasto", :force => true do |t|
    t.integer "gasto_id"
    t.integer "financiacion_id"
    t.integer "proyecto_id"
    t.decimal "tasa_cambio",     :precision => 15, :scale => 4, :default => 0.0
  end

  create_table "tasa_cambio_presupuesto", :force => true do |t|
    t.integer "proyecto_id"
    t.integer "financiacion_id"
    t.decimal "tasa_cambio",     :precision => 15, :scale => 4, :default => 0.0
    t.integer "presupuesto_id"
  end

  create_table "tipo_cuota_socio", :force => true do |t|
    t.string "tipo_cuota"
  end

  create_table "tipo_tarea", :force => true do |t|
    t.string   "nombre"
    t.text     "descripcion"
    t.boolean  "tipo_proyecto"
    t.boolean  "tipo_financiacion"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "transferencia", :force => true do |t|
    t.decimal "importe",                  :precision => 24, :scale => 2, :default => 0.0
    t.integer "proyecto_id"
    t.integer "moneda_id"
    t.integer "libro_id"
    t.integer "libro_receptor_emisor_id"
    t.integer "agente_id"
    t.string  "observaciones"
    t.string  "entrante_saliente"
    t.string  "iban"
    t.decimal "tasa_cambio",              :precision => 14, :scale => 4, :default => 0.0
    t.date    "fecha"
  end

  create_table "usuario", :force => true do |t|
    t.string  "nombre"
    t.string  "contrasena"
    t.string  "nombre_completo"
    t.string  "correoe"
    t.boolean "administrador"
    t.boolean "seccion_proyectos"
    t.boolean "seccion_financiacion"
    t.boolean "seccion_agentes"
    t.boolean "seccion_cuadromando"
  end

  create_table "usuario_x_agente", :force => true do |t|
    t.integer "usuario_id"
    t.integer "agente_id"
    t.string  "rol"
  end

  create_table "usuario_x_financiacion", :force => true do |t|
    t.integer "usuario_id"
    t.integer "financiacion_id"
    t.string  "rol"
  end

  create_table "usuario_x_libro", :force => true do |t|
    t.integer "libro_id"
    t.integer "usuario_id"
    t.string  "rol"
  end

  create_table "usuario_x_proyecto", :force => true do |t|
    t.integer "usuario_id"
    t.integer "proyecto_id"
    t.string  "rol"
  end

end
