class AddFieldsToTransferencias < ActiveRecord::Migration
  def self.up
    add_column :transferencia, :tipo, :string
    add_column :transferencia, :numero_cheque, :string
    change_column_default :transferencia, :tasa_cambio, 1.0

    # Migra los datos para incluir el tipo de movimiento
    Transferencia.all.each do |t|
      libro1=t.libro.tipo if t.libro_id
      libro2=t.libro_receptor_emisor.tipo if t.libro_receptor_emisor_id
      dir=t.entrante_saliente
      t.tipo="transferencia" if libro1 == "banco" && libro2 == "banco"
      t.tipo="cambio" if libro1 == "caja \"chica\"" && libro2 == "caja \"chica\""
      t.tipo="retirada" if (libro1 == "banco" && dir == "saliente" && libro2 == "caja \"chica\"") || (libro1 == "caja \"chica\"" && dir == "entrante" && libro2 == "banco")
      t.tipo="cheque" if 1==0
      t.tipo="adelanto" if ( (libro1 == "banco" && !t.iban.nil?) || libro1 == "caja \"chica\"") && dir == "saliente" && libro2.nil?
      t.tipo="ingreso" if (libro1 == "banco" && dir == "entrante" && libro2 == "caja \"chica\"") || (libro2 == "caja \"chica\"" && dir == "saliente" && libro2 == "banco")
      t.tipo="intereses" if 1==0
      t.tipo="subvencion" if libro1 == "banco" && dir == "entrante" && libro2.nil?
      t.tipo ||= "REVISAME"
      t.save
    end
  end

  def self.down
    remove_column :transferencia, :tipo
    remove_column :transferencia, :numero_cheque 
    change_column_default :transferencia, :tasa_cambio, 0.0
  end
end
